Package org.flowable.bpmn.model

# Class CustomProperty

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.CustomProperty

All Implemented Interfaces:
  `HasExtensionAttributes`

public class CustomProperty extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ComplexDataType`
  `complexValue`
  `protected String`
  `name`
  `protected String`
  `simpleValue`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomProperty()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CustomProperty`
  `clone()`
  `ComplexDataType`
  `getComplexValue()`
  `String`
  `getName()`
  `String`
  `getSimpleValue()`
  `void`
  `setComplexValue(ComplexDataType complexValue)`
  `void`
  `setName(String name)`
  `void`
  `setSimpleValue(String simpleValue)`
  `void`
  `setValues(CustomProperty otherProperty)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### simpleValue

    protected String simpleValue

  - ### complexValue

    protected ComplexDataType complexValue

- ## Constructor Details

  - ### CustomProperty

    public CustomProperty()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getSimpleValue

    public String getSimpleValue()

  - ### setSimpleValue

    public void setSimpleValue(String simpleValue)

  - ### getComplexValue

    public ComplexDataType getComplexValue()

  - ### setComplexValue

    public void setComplexValue(ComplexDataType complexValue)

  - ### clone

    public CustomProperty clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(CustomProperty otherProperty)